osg::GraphicsContext::WindowingSystemInterface Struct Referenceabstract

`#include <GraphicsContext>`

Inheritance diagram for osg::GraphicsContext::WindowingSystemInterface:

## Public Member Functions

void | setName (const std::string &name)
const std::string & | getName () const
virtual unsigned int | getNumScreens (const ScreenIdentifier &screenIdentifier=ScreenIdentifier())=0
virtual void | getScreenSettings (const ScreenIdentifier &screenIdentifier, ScreenSettings &resolution)=0
virtual bool | setScreenSettings (const ScreenIdentifier &, const ScreenSettings &)
virtual void | enumerateScreenSettings (const ScreenIdentifier &screenIdentifier, ScreenSettingsList &resolutionList)=0
virtual void | setDisplaySettings (DisplaySettings *)
virtual osg::DisplaySettings * | getDisplaySettings () const
virtual GraphicsContext * | createGraphicsContext (Traits *traits)=0
void | getScreenResolution (const ScreenIdentifier &screenIdentifier, unsigned int &width, unsigned int &height)
bool | setScreenResolution (const ScreenIdentifier &screenIdentifier, unsigned int width, unsigned int height)
bool | setScreenRefreshRate (const ScreenIdentifier &screenIdentifier, double refreshRate)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

| WindowingSystemInterface ()
virtual | ~WindowingSystemInterface ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

std::string | _name
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

Callback to be implemented to provide access to Windowing API's ability to create Windows/pbuffers.

## Constructor & Destructor Documentation

## WindowingSystemInterface()

osg::GraphicsContext::WindowingSystemInterface::WindowingSystemInterface | ( |  | ) |

inline protected

## ~WindowingSystemInterface()

virtual osg::GraphicsContext::WindowingSystemInterface::~WindowingSystemInterface | ( |  | ) |

inline protected virtual

## Member Function Documentation

## createGraphicsContext()

virtual GraphicsContext * osg::GraphicsContext::WindowingSystemInterface::createGraphicsContext | ( | Traits * | traits | ) |

pure virtual

References osg::GraphicsContext::GraphicsContext().

## enumerateScreenSettings()

virtual void osg::GraphicsContext::WindowingSystemInterface::enumerateScreenSettings | ( | const ScreenIdentifier & | screenIdentifier,
|  | ScreenSettingsList & | resolutionList )

pure virtual

## getDisplaySettings()

virtual osg::DisplaySettings * osg::GraphicsContext::WindowingSystemInterface::getDisplaySettings | ( |  | ) | const

inline virtual

## getName()

const std::string & osg::GraphicsContext::WindowingSystemInterface::getName | ( |  | ) | const

inline

References _name.

## getNumScreens()

virtual unsigned int osg::GraphicsContext::WindowingSystemInterface::getNumScreens | ( | const ScreenIdentifier & | screenIdentifier = ScreenIdentifier() | ) |

pure virtual

## getScreenResolution()

void osg::GraphicsContext::WindowingSystemInterface::getScreenResolution | ( | const ScreenIdentifier & | screenIdentifier,
|  | unsigned int & | width,
|  | unsigned int & | height )

inline

Gets screen resolution without using the ScreenResolution structure.

Deprecated
  Provided only for backward compatibility.

References getScreenSettings(), osg::GraphicsContext::ScreenSettings::height, and osg::GraphicsContext::ScreenSettings::width.

## getScreenSettings()

virtual void osg::GraphicsContext::WindowingSystemInterface::getScreenSettings | ( | const ScreenIdentifier & | screenIdentifier,
|  | ScreenSettings & | resolution )

pure virtual

Referenced by getScreenResolution(), and setScreenRefreshRate().

## setDisplaySettings()

virtual void osg::GraphicsContext::WindowingSystemInterface::setDisplaySettings | ( | DisplaySettings * |  | ) |

inline virtual

## setName()

void osg::GraphicsContext::WindowingSystemInterface::setName | ( | const std::string & | name | ) |

inline

References _name.

## setScreenRefreshRate()

bool osg::GraphicsContext::WindowingSystemInterface::setScreenRefreshRate | ( | const ScreenIdentifier & | screenIdentifier,
|  | double | refreshRate )

inline

Deprecated
  Provided only for backward compatibility.

References getScreenSettings(), osg::GraphicsContext::ScreenSettings::refreshRate, and setScreenSettings().

## setScreenResolution()

bool osg::GraphicsContext::WindowingSystemInterface::setScreenResolution | ( | const ScreenIdentifier & | screenIdentifier,
|  | unsigned int | width,
|  | unsigned int | height )

inline

Sets screen resolution without using the ScreenSettings structure.

Deprecated
  Provided only for backward compatibility.

References setScreenSettings().

## setScreenSettings()

virtual bool osg::GraphicsContext::WindowingSystemInterface::setScreenSettings | ( | const ScreenIdentifier & | ,
|  | const ScreenSettings & | )

inline virtual

Referenced by setScreenRefreshRate(), and setScreenResolution().

## Member Data Documentation

## _name

std::string osg::GraphicsContext::WindowingSystemInterface::_name

protected

Referenced by getName(), and setName().

The documentation for this struct was generated from the following file:

- GraphicsContext